Bug 1662604 - Drupal8 package missing dependency for php-zendframework-zend-loader
Summary: Drupal8 package missing dependency for php-zendframework-zend-loader
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: drupal8
Version: 28
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-30 19:21 UTC by Jim Y
Modified: 2019-03-07 21:02 UTC (History)
1 user (show)

Fixed In Version: drupal8-8.6.10-1.fc28 drupal8-8.6.10-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-07 20:05:59 UTC


Attachments (Terms of Use)

Description Jim Y 2018-12-30 19:21:11 UTC
Description of problem: The Drupal8 package doesn't include a dependency for php-zendframework-zend-loader, which seems to be required


Version-Release number of selected component (if applicable): 8.6.2


How reproducible: Install the package and try to access http://localhost/drupal8/ 


Steps to Reproduce:
1. sudo dnf install drupal8 mariadb-server php-mysqlnd
2. sudo systemctl enable httpd mysqld
3. sudo ls /usr/share/drupal8/sites/default/default.settings.php /usr/share/drupal8/sites/default/settings.php
4. chmod 666 /usr/share/drupal8/sites/default/settings.php
5. sudo systemctl start httpd mysqld
7. Access http://localhost/drupal8

Actual results: Nothing displays in browser. /etc/httpd/logs/access_log shows 500 error. /var/log/php-fpm/www-error.log shows the following

PHP Fatal error:  require_once(): Failed opening required '/usr/share/php/Zend/autoload.php' (include_path='.:/usr/share/pear:/usr/share/php') in /usr/share/drupal8/autoload.php on line 46


Expected results: http://localhost/drupal8/core/install.php should ask the user to choose a language for initial set up of drupal.


Additional info: Installing the package manually fixes the issue, but I would think the package should be required if Drupal doesn't work without it. There may be other ways to configure Drupal that don't require the package, but if so, those methods should be documented. The Drupal instructions from Fedora currently are from 2015, for Drupal 7. Admittedly, I only have a little experience with Drupal 8, so this might be a misunderstanding on my part.

Comment 1 Fedora Update System 2019-02-26 05:29:51 UTC
php-typo3-phar-stream-wrapper2-2.0.1-1.fc29 drupal8-8.6.10-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-46107f296c

Comment 2 Fedora Update System 2019-02-26 05:30:04 UTC
php-typo3-phar-stream-wrapper2-2.0.1-1.fc28 drupal8-8.6.10-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6a0717dc9a

Comment 3 Shawn Iwinski 2019-02-26 05:33:57 UTC
Sorry for the super long delay in the fix for this issue.

Comment 4 Fedora Update System 2019-02-27 01:54:45 UTC
drupal8-8.6.10-1.fc28, php-typo3-phar-stream-wrapper2-2.0.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6a0717dc9a

Comment 5 Fedora Update System 2019-02-27 03:54:22 UTC
drupal8-8.6.10-1.fc29, php-typo3-phar-stream-wrapper2-2.0.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-46107f296c

Comment 6 Fedora Update System 2019-03-07 20:05:59 UTC
drupal8-8.6.10-1.fc28, php-typo3-phar-stream-wrapper2-2.0.1-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-03-07 21:02:04 UTC
drupal8-8.6.10-1.fc29, php-typo3-phar-stream-wrapper2-2.0.1-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.